Index: svn/src/boot/selfboot.c
===================================================================
--- svn.orig/src/boot/selfboot.c
+++ svn/src/boot/selfboot.c
@@ -80,10 +80,10 @@ void * cbfs_load_payload(struct lb_memor
 	payload = (struct cbfs_payload *)cbfs_find_file(name, CBFS_TYPE_PAYLOAD);
 	if (payload == NULL)
 		return (void *) -1;
-	printk(BIOS_DEBUG, "Got a payload\n");
+	printk(DEBUG, "Got a payload\n");
 
 	selfboot(lb_mem, payload);
-	printk(BIOS_ERR, "SELFBOOT RETURNED!\n");
+	printk(ERROR, "SELFBOOT RETURNED!\n");
 
 	return (void *) -1;
 }
@@ -175,21 +175,21 @@ static int valid_area(struct lb_memory *
 			break;
 		}
 		if ((mtype == LB_MEM_TABLE) && (start < mend) && (end > mstart)) {
-			printk(BIOS_ERR, "Payload is overwriting Coreboot tables.\n");
+			printk(ERROR, "Payload is overwriting Coreboot tables.\n");
 			break;
 		}
 	}
 	if (i == mem_entries) {
-		printk(BIOS_ERR, "No matching ram area found for range:\n");
-		printk(BIOS_ERR, "  [0x%016lx, 0x%016lx)\n", start, end);
-		printk(BIOS_ERR, "Ram areas\n");
+		printk(ERROR, "No matching ram area found for range:\n");
+		printk(ERROR, "  [0x%016lx, 0x%016lx)\n", start, end);
+		printk(ERROR, "Ram areas\n");
 		for(i = 0; i < mem_entries; i++) {
 			uint64_t mstart, mend;
 			uint32_t mtype;
 			mtype = mem->map[i].type;
 			mstart = unpack_lb64(mem->map[i].start);
 			mend = mstart + unpack_lb64(mem->map[i].size);
-			printk(BIOS_ERR, "  [0x%016lx, 0x%016lx) %s\n",
+			printk(ERROR, "  [0x%016lx, 0x%016lx) %s\n",
 				(unsigned long)mstart,
 				(unsigned long)mend,
 				(mtype == LB_MEM_RAM)?"RAM":"Reserved");
@@ -220,7 +220,7 @@ static int relocate_segment(unsigned lon
 	 *       0 : A new segment is inserted after the seg, or no new one. */
 	unsigned long start, middle, end, ret = 0;
 
-	printk(BIOS_SPEW, "lb: [0x%016lx, 0x%016lx)\n",
+	printk(SPEW, "lb: [0x%016lx, 0x%016lx)\n",
 		lb_start, lb_end);
 
 	/* I don't conflict with coreboot so get out of here */
@@ -231,7 +231,7 @@ static int relocate_segment(unsigned lon
 	middle = start + seg->s_filesz;
 	end = start + seg->s_memsz;
 
-	printk(BIOS_SPEW, "segment: [0x%016lx, 0x%016lx, 0x%016lx)\n",
+	printk(SPEW, "segment: [0x%016lx, 0x%016lx, 0x%016lx)\n",
 		start, middle, end);
 
 	if (seg->compression == CBFS_COMPRESS_NONE) {
@@ -268,7 +268,7 @@ static int relocate_segment(unsigned lon
 			/* compute the new value of start */
 			start = seg->s_dstaddr;
 
-			printk(BIOS_SPEW, "   early: [0x%016lx, 0x%016lx, 0x%016lx)\n",
+			printk(SPEW, "   early: [0x%016lx, 0x%016lx, 0x%016lx)\n",
 				new->s_dstaddr,
 				new->s_dstaddr + new->s_filesz,
 				new->s_dstaddr + new->s_memsz);
@@ -305,7 +305,7 @@ static int relocate_segment(unsigned lon
 			seg->phdr_next->phdr_prev = new;
 			seg->phdr_next = new;
 
-			printk(BIOS_SPEW, "   late: [0x%016lx, 0x%016lx, 0x%016lx)\n",
+			printk(SPEW, "   late: [0x%016lx, 0x%016lx, 0x%016lx)\n",
 				new->s_dstaddr,
 				new->s_dstaddr + new->s_filesz,
 				new->s_dstaddr + new->s_memsz);
@@ -319,7 +319,7 @@ static int relocate_segment(unsigned lon
 	 */
 	seg->s_dstaddr = buffer + (seg->s_dstaddr - lb_start);
 
-	printk(BIOS_SPEW, " bounce: [0x%016lx, 0x%016lx, 0x%016lx)\n",
+	printk(SPEW, " bounce: [0x%016lx, 0x%016lx, 0x%016lx)\n",
 		seg->s_dstaddr,
 		seg->s_dstaddr + seg->s_filesz,
 		seg->s_dstaddr + seg->s_memsz);
@@ -342,16 +342,16 @@ static int build_self_segment_list(
 	first_segment = segment = &payload->segments;
 
 	while(1) {
-		printk(BIOS_DEBUG, "Loading segment from rom address 0x%p\n", segment);
+		printk(DEBUG, "Loading segment from rom address 0x%p\n", segment);
 		switch(segment->type) {
 		case PAYLOAD_SEGMENT_PARAMS:
-			printk(BIOS_DEBUG, "  parameter section (skipped)\n");
+			printk(DEBUG, "  parameter section (skipped)\n");
 			segment++;
 			continue;
 
 		case PAYLOAD_SEGMENT_CODE:
 		case PAYLOAD_SEGMENT_DATA:
-			printk(BIOS_DEBUG, "  %s (compression=%x)\n",
+			printk(DEBUG, "  %s (compression=%x)\n",
 					segment->type == PAYLOAD_SEGMENT_CODE ?  "code" : "data",
 					ntohl(segment->compression));
 			new = malloc(sizeof(*new));
@@ -361,18 +361,18 @@ static int build_self_segment_list(
 
 			new->s_srcaddr = (u32) ((unsigned char *) first_segment) + ntohl(segment->offset);
 			new->s_filesz = ntohl(segment->len);
-			printk(BIOS_DEBUG, "  New segment dstaddr 0x%lx memsize 0x%lx srcaddr 0x%lx filesize 0x%lx\n",
+			printk(DEBUG, "  New segment dstaddr 0x%lx memsize 0x%lx srcaddr 0x%lx filesize 0x%lx\n",
 				new->s_dstaddr, new->s_memsz, new->s_srcaddr, new->s_filesz);
 			/* Clean up the values */
 			if (new->s_filesz > new->s_memsz)  {
 				new->s_filesz = new->s_memsz;
 			}
-			printk(BIOS_DEBUG, "  (cleaned up) New segment addr 0x%lx size 0x%lx offset 0x%lx filesize 0x%lx\n",
+			printk(DEBUG, "  (cleaned up) New segment addr 0x%lx size 0x%lx offset 0x%lx filesize 0x%lx\n",
 				new->s_dstaddr, new->s_memsz, new->s_srcaddr, new->s_filesz);
 			break;
 
 		case PAYLOAD_SEGMENT_BSS:
-			printk(BIOS_DEBUG, "  BSS 0x%p (%d byte)\n", (void *) ntohl((u32) segment->load_addr),
+			printk(DEBUG, "  BSS 0x%p (%d byte)\n", (void *) ntohl((u32) segment->load_addr),
 				 ntohl(segment->mem_len));
 			new = malloc(sizeof(*new));
 			new->s_filesz = 0;
@@ -381,7 +381,7 @@ static int build_self_segment_list(
 			break;
 
 		case PAYLOAD_SEGMENT_ENTRY:
-			printk(BIOS_DEBUG, "  Entry Point 0x%p\n", (void *) ntohl((u32) segment->load_addr));
+			printk(DEBUG, "  Entry Point 0x%p\n", (void *) ntohl((u32) segment->load_addr));
 			*entry =  ntohl((u32) segment->load_addr);
 			/* Per definition, a payload always has the entry point
 			 * as last segment. Thus, we use the occurence of the
@@ -394,7 +394,7 @@ static int build_self_segment_list(
 			/* We found something that we don't know about. Throw
 			 * hands into the sky and run away!
 			 */
-			printk(BIOS_ERR, "Bad segment type %x\n", segment->type);
+			printk(ERROR, "Bad segment type %x\n", segment->type);
 			return -1;
 		}
 
@@ -437,7 +437,7 @@ static int load_self_segments(
 	}
 	get_bounce_buffer(mem, bounce_high - lb_start);
 	if (!bounce_buffer) {
-		printk(BIOS_ERR, "Could not find a bounce buffer...\n");
+		printk(ERROR, "Could not find a bounce buffer...\n");
 		return 0;
 	}
 	for(ptr = head->next; ptr != head; ptr = ptr->next) {
@@ -447,7 +447,7 @@ static int load_self_segments(
 	}
 	for(ptr = head->next; ptr != head; ptr = ptr->next) {
 		unsigned char *dest, *src;
-		printk(BIOS_DEBUG, "Loading Segment: addr: 0x%016lx memsz: 0x%016lx filesz: 0x%016lx\n",
+		printk(DEBUG, "Loading Segment: addr: 0x%016lx memsz: 0x%016lx filesz: 0x%016lx\n",
 			ptr->s_dstaddr, ptr->s_memsz, ptr->s_filesz);
 
 		/* Modify the segment to load onto the bounce_buffer if necessary.
@@ -457,7 +457,7 @@ static int load_self_segments(
 			continue;
 		}
 
-		printk(BIOS_DEBUG, "Post relocation: addr: 0x%016lx memsz: 0x%016lx filesz: 0x%016lx\n",
+		printk(DEBUG, "Post relocation: addr: 0x%016lx memsz: 0x%016lx filesz: 0x%016lx\n",
 			ptr->s_dstaddr, ptr->s_memsz, ptr->s_filesz);
 
 		/* Compute the boundaries of the segment */
@@ -471,13 +471,13 @@ static int load_self_segments(
 			len = ptr->s_filesz;
 			switch(ptr->compression) {
 				case CBFS_COMPRESS_LZMA: {
-					printk(BIOS_DEBUG, "using LZMA\n");
+					printk(DEBUG, "using LZMA\n");
 					len = ulzma(src, dest);
 					break;
 				}
 #if CONFIG_COMPRESSED_PAYLOAD_NRV2B==1
 				case CBFS_COMPRESS_NRV2B: {
-					printk(BIOS_DEBUG, "using NRV2B\n");
+					printk(DEBUG, "using NRV2B\n");
 					unsigned long unrv2b(u8 *src, u8 *dst, unsigned long *ilen_p);
 					unsigned long tmp;
 					len = unrv2b(src, dest, &tmp);
@@ -485,17 +485,17 @@ static int load_self_segments(
 				}
 #endif
 				case CBFS_COMPRESS_NONE: {
-					printk(BIOS_DEBUG, "it's not compressed!\n");
+					printk(DEBUG, "it's not compressed!\n");
 					memcpy(dest, src, len);
 					break;
 				}
 				default:
-					printk(BIOS_INFO,  "CBFS:  Unknown compression type %d\n", ptr->compression);
+					printk(INFO,  "CBFS:  Unknown compression type %d\n", ptr->compression);
 					return -1;
 			}
 			end = dest + ptr->s_memsz;
 			middle = dest + len;
-			printk(BIOS_SPEW, "[ 0x%016lx, %016lx, 0x%016lx) <- %016lx\n",
+			printk(SPEW, "[ 0x%016lx, %016lx, 0x%016lx) <- %016lx\n",
 				(unsigned long)dest,
 				(unsigned long)middle,
 				(unsigned long)end,
@@ -503,27 +503,27 @@ static int load_self_segments(
 
 			/* Zero the extra bytes between middle & end */
 			if (middle < end) {
-				printk(BIOS_DEBUG, "Clearing Segment: addr: 0x%016lx memsz: 0x%016lx\n",
+				printk(DEBUG, "Clearing Segment: addr: 0x%016lx memsz: 0x%016lx\n",
 					(unsigned long)middle, (unsigned long)(end - middle));
 
 				/* Zero the extra bytes */
 				memset(middle, 0, end - middle);
 			}
 			/* Copy the data that's outside the area that shadows coreboot_ram */
-			printk(BIOS_DEBUG, "dest %p, end %p, bouncebuffer %lx\n", dest, end, bounce_buffer);
+			printk(DEBUG, "dest %p, end %p, bouncebuffer %lx\n", dest, end, bounce_buffer);
 			if ((unsigned long)end > bounce_buffer) {
 				if ((unsigned long)dest < bounce_buffer) {
 					unsigned char *from = dest;
 					unsigned char *to = (unsigned char*)(lb_start-(bounce_buffer-(unsigned long)dest));
 					unsigned long amount = bounce_buffer-(unsigned long)dest;
-					printk(BIOS_DEBUG, "move prefix around: from %p, to %p, amount: %lx\n", from, to, amount);
+					printk(DEBUG, "move prefix around: from %p, to %p, amount: %lx\n", from, to, amount);
 					memcpy(to, from, amount);
 				}
 				if ((unsigned long)end > bounce_buffer + (lb_end - lb_start)) {
 					unsigned long from = bounce_buffer + (lb_end - lb_start);
 					unsigned long to = lb_end;
 					unsigned long amount = (unsigned long)end - from;
-					printk(BIOS_DEBUG, "move suffix around: from %lx, to %lx, amount: %lx\n", from, to, amount);
+					printk(DEBUG, "move suffix around: from %lx, to %lx, amount: %lx\n", from, to, amount);
 					memcpy((char*)to, (char*)from, amount);
 				}
 			}
@@ -545,12 +545,12 @@ static int selfboot(struct lb_memory *me
 	if (!load_self_segments(&head, mem, payload))
 		goto out;
 
-	printk(BIOS_SPEW, "Loaded segments\n");
+	printk(SPEW, "Loaded segments\n");
 
 	/* Reset to booting from this image as late as possible */
 	boot_successful();
 
-	printk(BIOS_DEBUG, "Jumping to boot code at %x\n", entry);
+	printk(DEBUG, "Jumping to boot code at %x\n", entry);
 	post_code(0xfe);
 
 	/* Jump to kernel */
Index: svn/src/console/console.c
===================================================================
--- svn.orig/src/console/console.c
+++ svn/src/console/console.c
@@ -80,7 +80,7 @@ void post_code(u8 value)
 {
 #if !defined(CONFIG_NO_POST) || CONFIG_NO_POST==0
 #if CONFIG_SERIAL_POST==1
-	printk(BIOS_ERR, "POST: 0x%02x\n", value);
+	printk(ERROR, "POST: 0x%02x\n", value);
 #endif
 	outb(value, 0x80);
 #endif
@@ -89,7 +89,7 @@ void post_code(u8 value)
 /* Report a fatal error */
 void __attribute__((noreturn)) die(const char *msg)
 {
-	printk(BIOS_ERR, "%s", msg);
+	printk(ERROR, "%s", msg);
 	//post_code(0xff);
  	for (;;)
 		hlt();		/* Halt */
Index: svn/src/cpu/amd/car/post_cache_as_ram.c
===================================================================
--- svn.orig/src/cpu/amd/car/post_cache_as_ram.c
+++ svn/src/cpu/amd/car/post_cache_as_ram.c
@@ -5,7 +5,7 @@
 
 static inline void print_debug_pcar(const char *strval, uint32_t val)
 {
-	printk(BIOS_DEBUG, "%s%08x\n", strval, val);
+	printk(DEBUG, "%s%08x\n", strval, val);
 }
 
 /* from linux kernel 2.6.32 asm/string_32.h */
Index: svn/src/cpu/amd/dualcore/amd_sibling.c
===================================================================
--- svn.orig/src/cpu/amd/dualcore/amd_sibling.c
+++ svn/src/cpu/amd/dualcore/amd_sibling.c
@@ -109,7 +109,7 @@ unsigned get_apicid_base(unsigned ioapic
 
 	if((apicid_base+ioapic_num-1)>0xf) {
 		// We need to enable APIC EXT ID
-		printk(BIOS_INFO, "if the IO APIC device doesn't support 256 apic id, \n you need to set CONFIG_ENABLE_APIC_EXT_ID in romstage.c so you can spare 16 id for ioapic\n");
+		printk(INFO, "if the IO APIC device doesn't support 256 apic id, \n you need to set CONFIG_ENABLE_APIC_EXT_ID in romstage.c so you can spare 16 id for ioapic\n");
 		enable_apic_ext_id(nodes);
 	}
 	
@@ -140,7 +140,7 @@ void amd_sibling_init(device_t cpu)
 	}
 
 #if 1
-	printk(BIOS_DEBUG, "CPU: %u %d siblings\n",
+	printk(DEBUG, "CPU: %u %d siblings\n",
 		cpu->path.apic.apic_id,
 		siblings);
 #endif
@@ -191,7 +191,7 @@ void amd_sibling_init(device_t cpu)
                 new->path.apic.core_id = i;
 
 #if 1
-		printk(BIOS_DEBUG, "CPU: %u has sibling %u\n", 
+		printk(DEBUG, "CPU: %u has sibling %u\n",
 			cpu->path.apic.apic_id,
 			new->path.apic.apic_id);
 #endif
Index: svn/src/cpu/amd/microcode/microcode.c
===================================================================
--- svn.orig/src/cpu/amd/microcode/microcode.c
+++ svn/src/cpu/amd/microcode/microcode.c
@@ -61,8 +61,8 @@ static int need_apply_patch(struct micro
 {
 
 	if (m->processor_rev_id != equivalent_processor_rev_id) {
-		printk(BIOS_ERR, "microcode: rev id (%x) does not match this patch.\n", m->processor_rev_id);
-		printk(BIOS_ERR, "microcode: Not updated! Fix microcode_updates[] \n");
+		printk(ERROR, "microcode: rev id (%x) does not match this patch.\n", m->processor_rev_id);
+		printk(ERROR, "microcode: Not updated! Fix microcode_updates[] \n");
 		return 0;
 	}
 	if (m->nb_dev_id) {
@@ -93,7 +93,7 @@ void amd_update_microcode(void *microcod
 	msr = rdmsr(0x8b);
 	patch_id = msr.lo;
 
-	printk(BIOS_DEBUG, "microcode: equivalent rev id  = 0x%04x, current patch id = 0x%08x\n", equivalent_processor_rev_id, patch_id);
+	printk(DEBUG, "microcode: equivalent rev id  = 0x%04x, current patch id = 0x%08x\n", equivalent_processor_rev_id, patch_id);
 
 	m = microcode_updates;
 
@@ -107,13 +107,13 @@ void amd_update_microcode(void *microcod
 
 			wrmsr(0xc0010020, msr);
 
-			printk(BIOS_DEBUG, "microcode: patch id to apply = 0x%08x\n", m->patch_id);
+			printk(DEBUG, "microcode: patch id to apply = 0x%08x\n", m->patch_id);
 
 			//read the patch_id again
 			msr = rdmsr(0x8b);
 			new_patch_id = msr.lo;
 
-			printk(BIOS_DEBUG, "microcode: updated to patch id = 0x%08x %s\n", new_patch_id , (new_patch_id == m->patch_id)?" success\n":" fail\n" );
+			printk(DEBUG, "microcode: updated to patch id = 0x%08x %s\n", new_patch_id , (new_patch_id == m->patch_id)?" success\n":" fail\n" );
 			break;
 		}
 		c += 2048;
Index: svn/src/cpu/amd/model_10xxx/fidvid.c
===================================================================
--- svn.orig/src/cpu/amd/model_10xxx/fidvid.c
+++ svn/src/cpu/amd/model_10xxx/fidvid.c
@@ -28,21 +28,21 @@
 static inline void print_debug_fv(const char *str, u32 val)
 {
 #if FAM10_SET_FIDVID_DEBUG == 1
-		printk(BIOS_DEBUG, "%s%x\n", str, val);
+		printk(DEBUG, "%s%x\n", str, val);
 #endif
 }
 
 static inline void print_debug_fv_8(const char *str, u8 val)
 {
 #if FAM10_SET_FIDVID_DEBUG == 1
-		printk(BIOS_DEBUG, "%s%02x\n", str, val);
+		printk(DEBUG, "%s%02x\n", str, val);
 #endif
 }
 
 static inline void print_debug_fv_64(const char *str, u32 val, u32 val2)
 {
 #if FAM10_SET_FIDVID_DEBUG == 1
-		printk(BIOS_DEBUG, "%s%x%x\n", str, val, val2);
+		printk(DEBUG, "%s%x%x\n", str, val, val2);
 #endif
 }
 
@@ -68,7 +68,7 @@ static void enable_fid_change(u8 fid)
 		dword |= (u32) fid & 0x1F;
 		dword |= 1 << 5;	// enable
 		pci_write_config32(dev, 0xd4, dword);
-		printk(BIOS_DEBUG, "FID Change Node:%02x, F3xD4: %08x \n", i, dword);
+		printk(DEBUG, "FID Change Node:%02x, F3xD4: %08x \n", i, dword);
 	}
 }
 
@@ -186,7 +186,7 @@ static void prep_fid_change(void)
 	nodes = get_nodes();
 
 	for(i = 0; i < nodes; i++) {
-		printk(BIOS_DEBUG, "Prep FID/VID Node:%02x \n", i);
+		printk(DEBUG, "Prep FID/VID Node:%02x \n", i);
 		dev = NODE_PCI(i,3);
 
 		dword = pci_read_config32(dev, 0xd8);
@@ -286,15 +286,15 @@ static void prep_fid_change(void)
 		pci_write_config32(dev, 0x80, dword);
 
 		dword = pci_read_config32(dev, 0x80);
-		printk(BIOS_DEBUG, "  F3x80: %08x \n", dword);
+		printk(DEBUG, "  F3x80: %08x \n", dword);
 		dword = pci_read_config32(dev, 0x84);
-		printk(BIOS_DEBUG, "  F3x84: %08x \n", dword);
+		printk(DEBUG, "  F3x84: %08x \n", dword);
 		dword = pci_read_config32(dev, 0xD4);
-		printk(BIOS_DEBUG, "  F3xD4: %08x \n", dword);
+		printk(DEBUG, "  F3xD4: %08x \n", dword);
 		dword = pci_read_config32(dev, 0xD8);
-		printk(BIOS_DEBUG, "  F3xD8: %08x \n", dword);
+		printk(DEBUG, "  F3xD8: %08x \n", dword);
 		dword = pci_read_config32(dev, 0xDC);
-		printk(BIOS_DEBUG, "  F3xDC: %08x \n", dword);
+		printk(DEBUG, "  F3xDC: %08x \n", dword);
 
 
 	}
@@ -495,7 +495,7 @@ static void init_fidvid_ap(u32 bsp_apici
 	u8 nodes;
 	u8 i;
 
-	printk(BIOS_DEBUG, "FIDVID on AP: %02x\n", apicid);
+	printk(DEBUG, "FIDVID on AP: %02x\n", apicid);
 
 	/* Steps 1-6 of BIOS NB COF and VID Configuration
 	 * for SVI and Single-Plane PVI Systems.
@@ -773,7 +773,7 @@ static int init_fidvid_bsp(u32 bsp_apici
 	u32 reg1fc;
 	u8 pvimode;
 
-	printk(BIOS_DEBUG, "FIDVID on BSP, APIC_id: %02x\n", bsp_apicid);
+	printk(DEBUG, "FIDVID on BSP, APIC_id: %02x\n", bsp_apicid);
 	/* FIXME: The first half of this function is nearly the same as
 	 * init_fidvid_bsp() and the code could be combined.
 	 */
Index: svn/src/cpu/amd/model_10xxx/init_cpus.c
===================================================================
--- svn.orig/src/cpu/amd/model_10xxx/init_cpus.c
+++ svn/src/cpu/amd/model_10xxx/init_cpus.c
@@ -32,24 +32,24 @@
 
 static void print_initcpu8 (const char *strval, u8 val)
 {
-	printk(BIOS_DEBUG, "%s%02x\n", strval, val);
+	printk(DEBUG, "%s%02x\n", strval, val);
 }
 
 static void print_initcpu8_nocr (const char *strval, u8 val)
 {
-	printk(BIOS_DEBUG, "%s%02x", strval, val);
+	printk(DEBUG, "%s%02x", strval, val);
 }
 
 
 static void print_initcpu16 (const char *strval, u16 val)
 {
-	printk(BIOS_DEBUG, "%s%04x\n", strval, val);
+	printk(DEBUG, "%s%04x\n", strval, val);
 }
 
 
 static void print_initcpu(const char *strval, u32 val)
 {
-	printk(BIOS_DEBUG, "%s%08x\n", strval, val);
+	printk(DEBUG, "%s%08x\n", strval, val);
 }
 
 
@@ -223,7 +223,7 @@ static void init_fidvid_ap(u32 bsp_apici
 
 static inline __attribute__((always_inline)) void print_apicid_nodeid_coreid(u32 apicid, struct node_core_id id, const char *str)
 {
-		printk(BIOS_DEBUG, "%s --- {	 APICID = %02x NODEID = %02x COREID = %02x} ---\n", str, apicid, id.nodeid, id.coreid);
+		printk(DEBUG, "%s --- {	 APICID = %02x NODEID = %02x COREID = %02x} ---\n", str, apicid, id.nodeid, id.coreid);
 }
 
 
@@ -406,10 +406,10 @@ static u32 init_cpus(u32 cpu_init_detect
 		{
 		// check warm(bios) reset to call stage2 otherwise do stage1
 			if (warm_reset_detect(id.nodeid)) {
-				printk(BIOS_DEBUG, "init_fidvid_stage2 apicid: %02x\n", apicid);
+				printk(DEBUG, "init_fidvid_stage2 apicid: %02x\n", apicid);
 				init_fidvid_stage2(apicid, id.nodeid);
 			} else {
-				printk(BIOS_DEBUG, "init_fidvid_ap(stage1) apicid: %02x\n", apicid);
+				printk(DEBUG, "init_fidvid_ap(stage1) apicid: %02x\n", apicid);
 				init_fidvid_ap(bsp_apicid, apicid, id.nodeid, id.coreid);
 			}
 		}
@@ -424,7 +424,7 @@ static u32 init_cpus(u32 cpu_init_detect
 		set_var_mtrr(0, 0x00000000, CONFIG_RAMTOP, MTRR_TYPE_WRBACK);
 
 		STOP_CAR_AND_CPU();
-		printk(BIOS_DEBUG, "\nAP %02x should be halted but you are reading this....\n", apicid);
+		printk(DEBUG, "\nAP %02x should be halted but you are reading this....\n", apicid);
 	}
 
 	return bsp_apicid;
@@ -449,12 +449,12 @@ static void wait_all_core0_started(void)
 	u32 i;
 	u32 nodes = get_nodes();
 
-	printk(BIOS_DEBUG, "Wait all core0s started \n");
+	printk(DEBUG, "Wait all core0s started \n");
 	for(i=1;i<nodes;i++) { // skip bsp, because it is running on bsp
 		while(!is_core0_started(i)) {}
 		print_initcpu8("  Core0 started on node: ", i);
 	}
-	printk(BIOS_DEBUG, "Wait all core0s started done\n");
+	printk(DEBUG, "Wait all core0s started done\n");
 }
 #if CONFIG_MAX_PHYSICAL_CPUS > 1
 /**
@@ -471,7 +471,7 @@ static void start_node(u8 node)
 	u32 val;
 
 	/* Enable routing table */
-	printk(BIOS_DEBUG, "Start node %02x", node);
+	printk(DEBUG, "Start node %02x", node);
 
 #if CONFIG_NORTHBRIDGE_AMD_AMDFAM10
 	/* For FAM10 support, we need to set Dram base/limit for the new node */
@@ -484,7 +484,7 @@ static void start_node(u8 node)
 	val &= ~(1 << 1);
 	pci_write_config32(NODE_HT(node), 0x6c, val);
 
-	printk(BIOS_DEBUG, " done.\n");
+	printk(DEBUG, " done.\n");
 }
 
 
@@ -514,7 +514,7 @@ static void setup_remote_node(u8 node)
 	};
 	u16 i;
 
-	printk(BIOS_DEBUG, "setup_remote_node: %02x", node);
+	printk(DEBUG, "setup_remote_node: %02x", node);
 
 	/* copy the default resource map from node 0 */
 	for(i = 0; i < ARRAY_SIZE(pci_reg); i++) {
@@ -525,7 +525,7 @@ static void setup_remote_node(u8 node)
 		pci_write_config32(NODE_MP(node), reg, value);
 
 	}
-	printk(BIOS_DEBUG, " done\n");
+	printk(DEBUG, " done\n");
 }
 #endif	/* CONFIG_MAX_PHYSICAL_CPUS > 1 */
 
@@ -847,7 +847,7 @@ void cpuSetAMDMSR(void)
 	u8 i;
 	u32 revision, platform;
 
-	printk(BIOS_DEBUG, "cpuSetAMDMSR ");
+	printk(DEBUG, "cpuSetAMDMSR ");
 
 	revision = mctGetLogicalCPUID(0xFF);
 	platform = get_platform_type();
@@ -865,7 +865,7 @@ void cpuSetAMDMSR(void)
 	}
 	AMD_Errata298();
 
-	printk(BIOS_DEBUG, " done\n");
+	printk(DEBUG, " done\n");
 }
 
 
@@ -881,7 +881,7 @@ void cpuSetAMDPCI(u8 node)
 	u32 val;
 	u8 offset;
 
-	printk(BIOS_DEBUG, "cpuSetAMDPCI %02d", node);
+	printk(DEBUG, "cpuSetAMDPCI %02d", node);
 
 
 	revision = mctGetLogicalCPUID(node);
@@ -935,7 +935,7 @@ void cpuSetAMDPCI(u8 node)
 	if (revision & (AMD_DR_B2 | AMD_DR_B3))
 		dctPhyDiag(); */
 
-	printk(BIOS_DEBUG, " done\n");
+	printk(DEBUG, " done\n");
 }
 
 
Index: svn/src/cpu/amd/model_10xxx/model_10xxx_init.c
===================================================================
--- svn.orig/src/cpu/amd/model_10xxx/model_10xxx_init.c
+++ svn/src/cpu/amd/model_10xxx/model_10xxx_init.c
@@ -77,7 +77,7 @@ void model_10xxx_init(device_t dev)
 #endif
 
 	id = get_node_core_id(read_nb_cfg_54()); /* nb_cfg_54 can not be set */
-	printk(BIOS_DEBUG, "nodeid = %02d, coreid = %02d\n", id.nodeid, id.coreid);
+	printk(DEBUG, "nodeid = %02d, coreid = %02d\n", id.nodeid, id.coreid);
 
 	/* Turn on caching if we haven't already */
 	x86_enable_cache();
@@ -114,7 +114,7 @@ void model_10xxx_init(device_t dev)
 		msr.hi |= 1 << (33-32);
 		wrmsr_amd(CPU_ID_EXT_FEATURES_MSR, msr);
 	}
-	printk(BIOS_DEBUG, "siblings = %02d, ", siblings);
+	printk(DEBUG, "siblings = %02d, ", siblings);
 #endif
 
 	/* DisableCf8ExtCfg */
Index: svn/src/cpu/amd/model_10xxx/processor_name.c
===================================================================
--- svn.orig/src/cpu/amd/model_10xxx/processor_name.c
+++ svn/src/cpu/amd/model_10xxx/processor_name.c
@@ -227,7 +227,7 @@ done:
 	strcpymax(&program_string[j], processor_name_string,
 		  sizeof(program_string) - j);
 
-	printk(BIOS_DEBUG, "CPU model: %s\n", program_string);
+	printk(DEBUG, "CPU model: %s\n", program_string);
 
 	for (i = 0; i < 6; i++) {
 		msr.lo = p_program_string[(2 * i) + 0];
Index: svn/src/cpu/amd/model_10xxx/update_microcode.c
===================================================================
--- svn.orig/src/cpu/amd/model_10xxx/update_microcode.c
+++ svn/src/cpu/amd/model_10xxx/update_microcode.c
@@ -97,7 +97,7 @@ void update_microcode(u32 cpu_deviceid)
 	if (equivalent_processor_rev_id != 0) {
 		amd_update_microcode((void *) microcode_updates, equivalent_processor_rev_id);
 	} else {
-		printk(BIOS_DEBUG, "microcode: rev id not found. Skipping microcode patch!\n");
+		printk(DEBUG, "microcode: rev id not found. Skipping microcode patch!\n");
 	}
 
 }
Index: svn/src/cpu/amd/model_fxx/fidvid.c
===================================================================
--- svn.orig/src/cpu/amd/model_fxx/fidvid.c
+++ svn/src/cpu/amd/model_fxx/fidvid.c
@@ -15,21 +15,21 @@
 static inline void print_debug_fv(const char *str, unsigned val)
 {
 #if K8_SET_FIDVID_DEBUG == 1
-		printk(BIOS_DEBUG, "%s%x\n", str, val);
+		printk(DEBUG, "%s%x\n", str, val);
 #endif
 }
 
 static inline void print_debug_fv_8(const char *str, unsigned val)
 {
 #if K8_SET_FIDVID_DEBUG == 1
-		printk(BIOS_DEBUG, "%s%02x\n", str, val);
+		printk(DEBUG, "%s%02x\n", str, val);
 #endif
 }
 
 static inline void print_debug_fv_64(const char *str, unsigned val, unsigned val2)
 {
 #if K8_SET_FIDVID_DEBUG == 1
-		printk(BIOS_DEBUG, "%s%x%x\n", str, val, val2);
+		printk(DEBUG, "%s%x%x\n", str, val, val2);
 #endif
 }
 
@@ -131,7 +131,7 @@ static u32 set_fidvid(unsigned apicid, u
 	apicidx = lapicid();
 
 	if (apicid != apicidx) {
-		printk(BIOS_ERR, "wrong apicid, we want change %x, but it is %x\n", apicid, apicidx);
+		printk(ERROR, "wrong apicid, we want change %x, but it is %x\n", apicid, apicidx);
 		return fidvid;
 	}
 
@@ -201,8 +201,8 @@ static u32 set_fidvid(unsigned apicid, u
 	 *	transition to target fid
 	 */
 
-	printk(BIOS_DEBUG, "Current fid_cur: 0x%x, fid_max: 0x%x\n", fid_cur, fid_max);
-	printk(BIOS_DEBUG, "Requested fid_new: 0x%x\n", fid_new);
+	printk(DEBUG, "Current fid_cur: 0x%x, fid_max: 0x%x\n", fid_cur, fid_max);
+	printk(DEBUG, "Requested fid_new: 0x%x\n", fid_new);
 
 	step_limit = 8; /* max 8 steps just in case... */
 	while ((fid_cur != fid_new) && (step_limit--)) {
@@ -218,7 +218,7 @@ static u32 set_fidvid(unsigned apicid, u
 		/* If 200Mhz step OR past 3200 max table value */
 		if ((step == 2) || (fid_new >= 0x18 || fid_cur >= 0x18)) {
 
-			printk(BIOS_DEBUG, "200MHZ step ");
+			printk(DEBUG, "200MHZ step ");
 
 			/* Step +/- 200MHz at a time */
 			if (fid_cur < fid_new)
@@ -231,7 +231,7 @@ static u32 set_fidvid(unsigned apicid, u
 			int temp;
 
 			/* look it up in the table */
-			printk(BIOS_DEBUG, "FidVid table step ");
+			printk(DEBUG, "FidVid table step ");
 
 			temp = next_fid_200[((fid_new/2) * 13) + (fid_cur/2)];
 
@@ -243,7 +243,7 @@ static u32 set_fidvid(unsigned apicid, u
 				break; /* table error */
 
 		} else { /* step < 2 (100MHZ) */
-			printk(BIOS_DEBUG, "100MHZ step ");
+			printk(DEBUG, "100MHZ step ");
 
 			/* The table adjust in 200MHz increments. If requested,
 			 * do the 100MHz increment if the CPU supports it.*/
@@ -251,17 +251,17 @@ static u32 set_fidvid(unsigned apicid, u
 				fid_temp = fid_cur + 1;
 			} else {
 				/* 100 MHZ not supported. Get out of the loop */
-				printk(BIOS_DEBUG, "is not supported.\n");
+				printk(DEBUG, "is not supported.\n");
 				break;
 			}
 		}
 
 		if(fid_temp > fid_max) {
-			printk(BIOS_DEBUG, "fid_temp 0x%x > fid_max 0x%x\n", fid_temp, fid_max);
+			printk(DEBUG, "fid_temp 0x%x > fid_max 0x%x\n", fid_temp, fid_max);
 			break;
 		}
 
-		printk(BIOS_DEBUG, "fidvid: 0x%x\n", fid_temp);
+		printk(DEBUG, "fidvid: 0x%x\n", fid_temp);
 
 		/* set target fid */
 		msr.hi = 0x190; /* 2 us for AMD NPT Family 0Fh Processors */
Index: svn/src/cpu/amd/model_fxx/init_cpus.c
===================================================================
--- svn.orig/src/cpu/amd/model_fxx/init_cpus.c
+++ svn/src/cpu/amd/model_fxx/init_cpus.c
@@ -16,23 +16,23 @@
 
 static inline void print_initcpu8 (const char *strval, unsigned val)
 {
-        printk(BIOS_DEBUG, "%s%02x\n", strval, val);
+        printk(DEBUG, "%s%02x\n", strval, val);
 }
 
 static inline void print_initcpu8_nocr (const char *strval, unsigned val)
 {
-        printk(BIOS_DEBUG, "%s%02x", strval, val);
+        printk(DEBUG, "%s%02x", strval, val);
 }
 
 
 static inline void print_initcpu16 (const char *strval, unsigned val)
 {
-        printk(BIOS_DEBUG, "%s%04x\n", strval, val);
+        printk(DEBUG, "%s%04x\n", strval, val);
 }
 
 static inline void print_initcpu(const char *strval, unsigned val)
 {
-        printk(BIOS_DEBUG, "%s%08x\n", strval, val);
+        printk(DEBUG, "%s%08x\n", strval, val);
 }
 
 typedef void (*process_ap_t)(unsigned apicid, void *gp);
@@ -155,7 +155,7 @@ static void init_fidvid_ap(unsigned bsp_
 
 static inline __attribute__((always_inline)) void print_apicid_nodeid_coreid(unsigned apicid, struct node_core_id id, const char *str)
 {
-                printk(BIOS_DEBUG, "%s --- {  APICID = %02x NODEID = %02x COREID = %02x} ---\n", str, apicid, id.nodeid, id.coreid);
+                printk(DEBUG, "%s --- {  APICID = %02x NODEID = %02x COREID = %02x} ---\n", str, apicid, id.nodeid, id.coreid);
 }
 
 
Index: svn/src/cpu/amd/model_fxx/model_fxx_init.c
===================================================================
--- svn.orig/src/cpu/amd/model_fxx/model_fxx_init.c
+++ svn/src/cpu/amd/model_fxx/model_fxx_init.c
@@ -150,16 +150,16 @@ static void print_mtrr_state(struct mtrr
 {
 	int i;
 	for(i = 0; i < MTRR_COUNT; i++) {
-		printk(BIOS_DEBUG, "var mtrr %d: %08x%08x mask: %08x%08x\n",
+		printk(DEBUG, "var mtrr %d: %08x%08x mask: %08x%08x\n",
 			i,
 			state->mtrrs[i].base.hi, state->mtrrs[i].base.lo,
 			state->mtrrs[i].mask.hi, state->mtrrs[i].mask.lo);
 	}
-	printk(BIOS_DEBUG, "top_mem:  %08x%08x\n",
+	printk(DEBUG, "top_mem:  %08x%08x\n",
 		state->top_mem.hi, state->top_mem.lo);
-	printk(BIOS_DEBUG, "top_mem2: %08x%08x\n",
+	printk(DEBUG, "top_mem2: %08x%08x\n",
 		state->top_mem2.hi, state->top_mem2.lo);
-	printk(BIOS_DEBUG, "def_type: %08x%08x\n",
+	printk(DEBUG, "def_type: %08x%08x\n",
 		state->def_type.hi, state->def_type.lo);
 }
 #endif
@@ -214,7 +214,7 @@ static inline void clear_2M_ram(unsigned
                         enable_lapic();
 
                         /* Print a status message */
-                        printk(BIOS_DEBUG, "%c", (basek >= TOLM_KB)?'+':'-');
+                        printk(DEBUG, "%c", (basek >= TOLM_KB)?'+':'-');
 
                         /* Return to the initialization state */
                         set_init_ecc_mtrrs();
@@ -232,7 +232,7 @@ static inline void clear_2M_ram(unsigned
                 size = (limitk - basek) << 10;
                 addr = map_2M_page(basek >> 11);
                 if (addr == MAPPING_ERROR) {
-                        printk(BIOS_ERR, "Cannot map page: %lx\n", basek >> 11);
+                        printk(ERROR, "Cannot map page: %lx\n", basek >> 11);
                         return;
                 }
 
@@ -276,14 +276,14 @@ static void init_ecc_memory(unsigned nod
 	} else {
 		pci_write_config32(f3_dev, SCRUB_CONTROL,
 			(SCRUB_NONE << 16) | (SCRUB_NONE << 8) | (SCRUB_NONE << 0));
-		printk(BIOS_DEBUG, "Scrubbing Disabled\n");
+		printk(DEBUG, "Scrubbing Disabled\n");
 	}
 
 
 	/* If ecc support is not enabled don't touch memory */
 	dcl = pci_read_config32(f2_dev, DRAM_CONFIG_LOW);
 	if (!(dcl & DCL_DimmEccEn)) {
-		printk(BIOS_DEBUG, "ECC Disabled\n");
+		printk(DEBUG, "ECC Disabled\n");
 		return;
 	}
 
@@ -313,7 +313,7 @@ static void init_ecc_memory(unsigned nod
 		begink = (CONFIG_RAMTOP >>10);
 	}
 
-	printk(BIOS_DEBUG, "Clearing memory %luK - %luK: ", begink, endk);
+	printk(DEBUG, "Clearing memory %luK - %luK: ", begink, endk);
 
 	/* Save the normal state */
 	save_mtrr_state(&mtrr_state);
@@ -362,7 +362,7 @@ static void init_ecc_memory(unsigned nod
 			(SCRUB_84ms << 16) | (SCRUB_84ms << 8) | (SCRUB_84ms << 0));
 	}
 
-	printk(BIOS_DEBUG, " done\n");
+	printk(DEBUG, " done\n");
 }
 
 
